package com.kingdee.eas.custom.dormitorysystem.application.app;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.metadata.entity.FilterInfo;
import com.kingdee.bos.metadata.entity.FilterItemCollection;
import com.kingdee.bos.metadata.entity.FilterItemInfo;
import com.kingdee.bos.metadata.query.util.CompareType;
import com.kingdee.eas.basedata.person.PersonInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationInfo;
import com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryInfo;
import com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationInfo;
import com.kingdee.eas.custom.dormitorysystem.occupants.IOccupants;
import com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsCollection;
import com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsFactory;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.Result;
import org.apache.log4j.Logger;

import java.util.HashSet;
import java.util.Set;

public class RoomChangeApplicationControllerBean extends AbstractRoomChangeApplicationControllerBean {
    private static Logger logger = Logger.getLogger(RoomChangeApplicationControllerBean.class);

    @Override
    protected void _submitEffect(Context ctx, String billId) throws BOSException, EASBizException {
        super._submitEffect(ctx, billId);
    }

    /**
     * ύЧ
     *
     * @param ctx
     * @param model
     * @return
     * @throws BOSException
     * @throws EASBizException
     */
    @Override
    protected IObjectPK _submitEffect(
            Context ctx,
            CoreBaseInfo model
    ) throws BOSException, EASBizException {
        IObjectPK iObjectPK = super._submitEffect(ctx, model);
        logger.error("_submitEffect-----");
        RoomChangeApplicationInfo info = (RoomChangeApplicationInfo) model;
        //    ԱסϢ
        IOccupants instance = OccupantsFactory.getLocalInstance(ctx);
        Set personIds = new HashSet();
        //סԱϢ
        for (int i = 0; i < info.getEntrys().size(); i++) {
            RoomChangeApplicationEntryInfo roomChangeApplicationEntryInfo = info.getEntrys().get(i);
            //roomChangeApplicationEntryInfo
            PersonInfo person = roomChangeApplicationEntryInfo.getPerson();
            personIds.add(person.getId().toString());
        }
        FilterInfo filterInfo = new FilterInfo();
        FilterItemCollection filterItems = filterInfo.getFilterItems();
        filterItems.add(new FilterItemInfo("entry.person.id", personIds, CompareType.INCLUDE));
        filterItems.add(new FilterItemInfo("CheckOutDate", "2199-12-31"));
        EntityViewInfo entityViewInfo = EntityViewInfo.getInstance(filterInfo, null, null);
        //ѯͨԱЧԱסϢ
        OccupantsCollection occupantsCollection = instance.getOccupantsCollection(entityViewInfo);
        for (int i = 0; i < occupantsCollection.size(); i++) {

        }
        //УʱǷڽ
        return iObjectPK;
    }

    /**
     * 
     *
     * @param ctx
     * @param billId
     * @throws BOSException
     * @throws EASBizException
     */
    @Override
    protected void _untiCheckBizBill(
            Context ctx,
            String billId
    ) throws BOSException, EASBizException {
        super._untiCheckBizBill(ctx, billId);
    }
}
