package com.kingdee.eas.custom.dormitorysystem.application.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.handler.ListHandler;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Description 뵥ͨHandler
 * @Date 2025/4/29 9:32
 * @Created by Heyuan
 */
public class DormitoryApplicationListHandler extends ListHandler {
    private static Logger logger = Logger.getLogger(DormitoryApplicationListHandler.class);

    /**
     * ύЧ
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     * @throws BOSException
     */
    public void submitEffectAction(
            HttpServletRequest request,
            HttpServletResponse response,
            ModelMap modelMap
    ) throws SHRWebException, BOSException {
        this.handleEnableWithTips(request, "submitEffect");
    }


    /**
     * 
     *
     * @param request
     * @param response
     * @param modelMap
     * @throws SHRWebException
     * @throws BOSException
     */
    public void againstApproveAction(
            HttpServletRequest request,
            HttpServletResponse response,
            ModelMap modelMap
    ) throws SHRWebException, BOSException {
        this.handleEnableWithTips(request, "untiCheckBizBill");
    }
}
