package com.kingdee.eas.custom.dormitorysystem.application.handler;

import com.kingdee.bos.util.BOSUuid;
import com.kingdee.eas.basedata.org.HROrgUnitInfo;
import com.kingdee.eas.custom.managedormsys.application.CheckInApplicationInfo;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.base.syssetting.web.handler.EditHandler;
import org.apache.log4j.Logger;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Description 뵥ͨHandler
 * @Date 2025/4/29 9:30
 * @Created by Heyuan
 */
public class DormitoryApplicationEditHandler extends EditHandler {
    private static Logger logger = Logger.getLogger(DormitoryApplicationEditHandler.class);

    /**
     * HR֯
     *
     * @param request
     * @param response
     * @param model
     * @throws SHRWebException
     */
    protected void beforeSave(
            HttpServletRequest request,
            HttpServletResponse response,
            CoreBaseInfo model
    ) throws SHRWebException {
        super.beforeSave(request, response, model);
        CheckInApplicationInfo checkInApplicationInfo = (CheckInApplicationInfo) model;
        HROrgUnitInfo hrOrgUnitInfo = new HROrgUnitInfo();
        hrOrgUnitInfo.setId(BOSUuid.read("00000000-0000-0000-0000-000000000000CCE7AED4"));
        checkInApplicationInfo.setHrOrgUnit(hrOrgUnitInfo);
    }
}
